init_uart:
	ldi work0, 0x0c
	out	UBRR0L, work0
	ldi work0, 0x00
	sts	UBRR0H, work0
	
	out	UCSR0A, work0

	ldi	work0, 1<<UCSZ01^1<<UCSZ00	;8 Bit

	sts	UCSR0C, work0

	ldi	work0, 1<<RXEN0^1<<TXEN0^1<<RXCIE0	;enable RX, TX
	out	UCSR0B, work0
	ret


;receive complete interrupt
USART0_RXC:
	in work0, UDR0 
uwt4:	
	; Wait for empty transmit buffer
	sbis UCSR0A,UDRE0
	rjmp uwt4
	mov rx_data, work0
	out UDR0, rx_data
	reti
